package com.enovate.newretail.eureka;

import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

import com.ctrip.framework.apollo.Config;
import com.ctrip.framework.apollo.spring.annotation.ApolloConfig;

@RestController
@RequestMapping(path = "/config")
public class TestController {
	
	@ApolloConfig
    private Config config;
	
	
	@RequestMapping(path = "/get/{key}", method = {RequestMethod.GET, RequestMethod.POST})
	public String get(@PathVariable("key") String key) {
		return config.getProperty(key, config.getSourceType().name());
	}
	
	@RequestMapping(path = "/value", method = {RequestMethod.GET, RequestMethod.POST})
	public String value() {
		return null;
	}

}
